Bug 690239 - gfs2: creating large files suddenly slow to a crawl [rhel-5.6.z]
Summary: gfs2: creating large files suddenly slow to a crawl [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.7
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Robert Peterson
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 683155
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-23 16:53 UTC by RHEL Product and Program Management
Modified: 2018-11-14 13:25 UTC (History)
13 users (show)

Fixed In Version: kernel-2.6.18-238.10.1.el5
Doc Type: Bug Fix
Doc Text:
GFS2 (Global File System 2) keeps track of the list of resource groups to allow better performance when allocating blocks. Previously, when the user created a large file in GFS2, GFS2 could have run out of allocation space because it was confined to the recently-used resource groups. With this update, GFS2 uses the MRU (Most Recently Used) list instead of the list of the recently-used resource groups. The MRU list allows GFS2 to use all available resource groups and if a large span of blocks is in use, GFS2 uses allocation blocks of another resource group.
Clone Of:
Environment:
Last Closed: 2011-05-31 14:08:35 UTC


Attachments (Terms of Use)
The 5.6.z crosswrite patch (5.82 KB, patch)
2011-03-23 18:26 UTC, Robert Peterson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0833 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-05-31 14:05:42 UTC

Description RHEL Product and Program Management 2011-03-23 16:53:53 UTC
This bug has been copied from bug #683155 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Robert Peterson 2011-03-23 18:26:47 UTC
Created attachment 487110 [details]
The 5.6.z crosswrite patch

The 5.7 patch does not apply directly to the 5.6.z kernel.
This one is the proper patch for 5.6.z.  I verified its
contents using kompare against the 5.7 patch.

Comment 4 Robert Peterson 2011-03-23 18:27:11 UTC
Patch provided; setting devel_ack.

Comment 6 Phillip Lougher 2011-04-15 15:07:18 UTC
in kernel-2.6.18-238.10.1.el5

linux-2.6-fs-gfs2-creating-large-files-suddenly-slow-to-a-crawl.patch

Comment 9 errata-xmlrpc 2011-05-31 14:08:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0833.html

Comment 10 Martin Prpič 2011-06-02 13:32:21 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
GFS2 (Global File System 2) keeps track of the list of resource groups to allow better performance when allocating blocks. Previously, when the user created a large file in GFS2, GFS2 could have run out of allocation space because it was confined to the recently-used resource groups. With this update, GFS2 uses the MRU (Most Recently Used) list instead of the list of the recently-used resource groups. The MRU list allows GFS2 to use all available resource groups and if a large span of blocks is in use, GFS2 uses allocation blocks of another resource group.


Note You need to log in before you can comment on or make changes to this bug.